Subject: [forces] Protocol draft WAS (Re: AD review of draft-ietf-forces-model-extension

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 3 Jul 2014 19:27:54 -0400

Adrian,

Thanks for the thorough review (as always).
One question on one of your comments below applies  to the protocol
draft. The protocol draft WG LC just expired.
I believe we need to use the update metadata for the protocol draft.
There are also a couple of nits. It may make sense to make another release
before shepherding starts.
If we do that, would we need to redo the WG last call?

cheers,
jamal

On Wed, Jul 2, 2014 at 2:05 PM, Adrian Farrel <[email-masked]> wrote:

> Can you clarify for me whether, after the publication of this document
> as an RFC, the extensions it defines are part of the ForCES model. That
> is, if you were to implement ForCES from scratch after its publication,
> would you be expected to include these features?
>
> If the answer is "yes" then this probably updates 5812. If "no" then we
> need to work some language to explain that the extensions are options.
>
> I think, looking at, for example, Section 3.1, that this document is
> making specific changes to 5812 as well as potentially defining some
> additions. That means it really does update 5812.
>
> To handle this you need:
> - An "updates" tag in the metadata at the head of the file
> - To make the statement in the Abstract "This document updates RFC 5812
>   by defining foo..."
> - Add a section (probably Section 1.1 inside the Introduction) that is
>   called "Updates to RFC 5812" and provides an overview of the changes
>   and additions (you can use forward pointers into the rest of the
>   document).
>

---

From: Jamal Hadi Salim <[email-masked]>
Date: Fri, 4 Jul 2014 07:49:34 -0400

I know it is holidays at the moment. I will upload a new version with the
fixes now to beat the draft deadline and then await your responses.

cheers,
jamal

On Thu, Jul 3, 2014 at 7:27 PM, Jamal Hadi Salim <[email-masked]> wrote:
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 19 Jul 2014 15:34:53 +0100

Hi,

> The protocol draft WG LC just expired.

No you don't. That sort of thing is mainly procedural and can just be done. You can post on Monday morning.

I think the WG will have time to object during IETF last call.

A

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 19 Jul 2014 15:40:07 +0100

OK.

The changes look good to me.
The WG has had time to think about the changes - the only one I thought might have attracted attention was the change of the version umber to 1.1, but silence fell.

I'll move the document forward.

Thanks,
Adrian

> -----Original Message-----
> From: Jamal Hadi Salim [mailto:[email-masked]]
> Sent: 04 July 2014 12:50
> To: Adrian Farrel
> Cc: [email-masked]; [email-masked]
> Subject: Re: [forces] Protocol draft WAS (Re: AD review of draft-ietf-forces-
> model-extension
>